#pragma once
#include "..\inc\natives.h"
#include "..\inc\types.h"
#include "..\inc\enums.h"

int toClockwiseAngle(int heading);
int toSpeed(Vector3 velocity);
int toRelativeHeading(int playerRot, int objRot);
int  toAngleToPlayer(int playerHeading, Vector3 playerPosition, Vector3 objectPosition);